summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Väth <martin@mvath.de>2018-04-25 00:36:25 +0200
committerMartin Väth <martin@mvath.de>2018-04-25 00:36:25 +0200
commit346e98fc04f110e1aeefd8fe56e5f8594e227b8c (patch)
treedcbf188e1a0005da8b18f3c68b33f4bb0a10ad86
parentAvoid /usr/share/games (diff)
downloadmv-346e98fc04f110e1aeefd8fe56e5f8594e227b8c.tar.gz
mv-346e98fc04f110e1aeefd8fe56e5f8594e227b8c.tar.bz2
mv-346e98fc04f110e1aeefd8fe56e5f8594e227b8c.zip
Avoid ltprune.eclass. x11-libs/motif: Pull stabilization, remove old
-rw-r--r--dev-libs/osformat/osformat-1.0.5.ebuild5
-rw-r--r--dev-libs/osformat/osformat-999999999.ebuild8
-rw-r--r--metadata/pkg_desc_index2
-rw-r--r--sys-block/parted/parted-2.4-r2.ebuild5
-rw-r--r--x11-libs/motif/Manifest1
-rw-r--r--x11-libs/motif/motif-2.3.7.ebuild117
-rw-r--r--x11-libs/motif/motif-2.3.8-r1.ebuild5
7 files changed, 12 insertions, 131 deletions
diff --git a/dev-libs/osformat/osformat-1.0.5.ebuild b/dev-libs/osformat/osformat-1.0.5.ebuild
index 12477b0e..ae9ed4af 100644
--- a/dev-libs/osformat/osformat-1.0.5.ebuild
+++ b/dev-libs/osformat/osformat-1.0.5.ebuild
@@ -1,9 +1,8 @@
-# Copyright 2018 Gentoo Foundation
+# Copyright 2017-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
RESTRICT="mirror"
-inherit ltprune
SRC_URI="https://github.com/vaeth/osformat/releases/download/v${PV}/${P}.tar.xz"
@@ -17,5 +16,5 @@ IUSE=""
src_install() {
default
- prune_libtool_files
+ find "${D}" -name '*.la' -delete || die
}
diff --git a/dev-libs/osformat/osformat-999999999.ebuild b/dev-libs/osformat/osformat-999999999.ebuild
index 445d0bac..48f90894 100644
--- a/dev-libs/osformat/osformat-999999999.ebuild
+++ b/dev-libs/osformat/osformat-999999999.ebuild
@@ -1,8 +1,8 @@
-# Copyright 2017 Gentoo Foundation
+# Copyright 2017-2018 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
-inherit autotools ltprune
+inherit autotools
case ${PV} in
99999999*)
@@ -26,11 +26,11 @@ KEYWORDS=""
IUSE=""
src_prepare() {
- eapply_user
+ default
eautoreconf
}
src_install() {
default
- prune_libtool_files
+ find "${D}" -name '*.la' -delete || die
}
diff --git a/metadata/pkg_desc_index b/metadata/pkg_desc_index
index 30bfedf3..89bd5333 100644
--- a/metadata/pkg_desc_index
+++ b/metadata/pkg_desc_index
@@ -121,5 +121,5 @@ www-plugins/skip-redirect 2.2.1: Firefox webextension: skip intermediary pages b
www-plugins/translate-to-me 1.1: Firefox webextension: translate the selected text with www.linguee.com
www-plugins/ublock-origin 1.16.0: Firefox webextension: An efficient list-based blocker
x11-libs/gtk+ 2.24.31-r1 3.22.19 3.22.30: Gimp ToolKit +
-x11-libs/motif 2.3.7 2.3.8-r1: The Motif user interface component toolkit
+x11-libs/motif 2.3.8-r1: The Motif user interface component toolkit
x11-wm/fvwm 2.6.7-r1: An extremely powerful ICCCM-compliant multiple virtual desktop window manager
diff --git a/sys-block/parted/parted-2.4-r2.ebuild b/sys-block/parted/parted-2.4-r2.ebuild
index d5ee11f4..63c0f521 100644
--- a/sys-block/parted/parted-2.4-r2.ebuild
+++ b/sys-block/parted/parted-2.4-r2.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
EAPI=6
-inherit autotools ltprune
+inherit autotools
DESCRIPTION="Create, destroy, resize, check, copy partitions and file systems"
HOMEPAGE="https://www.gnu.org/software/parted"
@@ -77,6 +77,5 @@ src_install() {
mv "${ED}"/usr/sbin/parted{,2} || die
rm "${ED}"/usr/$(get_libdir)/libparted.so || die
fi
-
- prune_libtool_files
+ find "${D}" -name '*.la' -delete || die
}
diff --git a/x11-libs/motif/Manifest b/x11-libs/motif/Manifest
index 6d4d5000..bf817dd3 100644
--- a/x11-libs/motif/Manifest
+++ b/x11-libs/motif/Manifest
@@ -1,3 +1,2 @@
DIST motif-2.3.6-patches-2.tar.xz 1600 SHA512 09c857f7f2ec0d48660e6fff8afddec99416084e2b80a8793401e7641a3669fbe4eb10811e60f3d9dc106c828a87324dfdd27cc91a62bf3dedbd9154542c7619
-DIST motif-2.3.7.tar.gz 5715478 SHA512 2485f6e111139d6815e8ac38630d082ac73474b033818b4a92b46f5e2213fa85030ef8095672b2e31b1ed5c207d3baf58f01ec5deec0cd3bd9527cb341f741f8
DIST motif-2.3.8.tar.gz 5704328 SHA512 1ab8e8eece25ef97e948592b5fa3e19d98e932695290a18b7a8e90f1aa2766bc4f082bdbc3999dff5660e684821178a149040f76bb477163e53ca06474d02b55
diff --git a/x11-libs/motif/motif-2.3.7.ebuild b/x11-libs/motif/motif-2.3.7.ebuild
deleted file mode 100644
index b0c2700c..00000000
--- a/x11-libs/motif/motif-2.3.7.ebuild
+++ /dev/null
@@ -1,117 +0,0 @@
-# Copyright 2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit autotools flag-o-matic ltprune multilib toolchain-funcs multilib-minimal
-
-DESCRIPTION="The Motif user interface component toolkit"
-HOMEPAGE="https://sourceforge.net/projects/motif/
- http://motif.ics.com/"
-SRC_URI="mirror://sourceforge/project/motif/Motif%20${PV}%20Source%20Code/${P}.tar.gz
- https://dev.gentoo.org/~ulm/distfiles/${PN}-2.3.6-patches-2.tar.xz"
-
-LICENSE="LGPL-2.1+ MIT"
-SLOT="0"
-KEYWORDS="alpha amd64 ~arm ~arm64 hppa ~ia64 ~mips ppc ppc64 ~sh sparc x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
-IUSE="examples jpeg +motif22-compatibility png static-libs unicode xft"
-
-RDEPEND=">=x11-libs/libX11-1.6.2[${MULTILIB_USEDEP}]
- >=x11-libs/libXext-1.3.2[${MULTILIB_USEDEP}]
- >=x11-libs/libXmu-1.1.1-r1[${MULTILIB_USEDEP}]
- >=x11-libs/libXp-1.0.2[${MULTILIB_USEDEP}]
- >=x11-libs/libXt-1.1.4[${MULTILIB_USEDEP}]
- jpeg? ( >=virtual/jpeg-0-r2:0=[${MULTILIB_USEDEP}] )
- png? ( >=media-libs/libpng-1.6.10:0=[${MULTILIB_USEDEP}] )
- unicode? ( >=virtual/libiconv-0-r1[${MULTILIB_USEDEP}] )
- xft? (
- >=media-libs/fontconfig-2.10.92[${MULTILIB_USEDEP}]
- >=x11-libs/libXft-2.3.1-r1[${MULTILIB_USEDEP}]
- )"
-
-DEPEND="${RDEPEND}
- sys-devel/flex
- || ( sys-devel/bison dev-util/byacc sys-freebsd/freebsd-ubin )
- x11-misc/xbitmaps"
-
-src_prepare() {
- eapply ../patch
- eapply_user
-
- # disable compilation of demo binaries
- sed -i -e '/^SUBDIRS/{:x;/\\$/{N;bx;};s/[ \t\n\\]*demos//;}' Makefile.am
-
- # add X.Org vendor string to aliases for virtual bindings
- echo -e '"The X.Org Foundation"\t\t\t\t\tpc' >>bindings/xmbind.alias
-
- # remove header file which shouldn't be in the tarball #578168
- rm lib/Xm/Xm.h || die
-
- AT_M4DIR=. eautoreconf
-
- # get around some LANG problems in make (#15119)
- LANG=C
-
- # bug #80421
- filter-flags -ftracer
-
- # feel free to fix properly if you care
- append-flags -fno-strict-aliasing
-
- # for Solaris Xos_r.h :(
- [[ ${CHOST} == *-solaris2.11 ]] \
- && append-cppflags -DNEED_XOS_R_H -DHAVE_READDIR_R_3
-
- if use !elibc_glibc && use !elibc_uclibc && use !elibc_musl \
- && use unicode; then
- # libiconv detection in configure script doesn't always work
- # http://bugs.motifzone.net/show_bug.cgi?id=1423
- export LIBS="${LIBS} -liconv"
- fi
-
- # "bison -y" causes runtime crashes #355795
- #export YACC=byacc
-
- # remember the name of the C compiler for the native ABI
- MY_NATIVE_CC=$(tc-getCC)
-}
-
-multilib_src_configure() {
- ECONF_SOURCE="${S}" econf \
- --with-x \
- $(use_enable static-libs static) \
- $(use_enable motif22-compatibility) \
- $(use_enable unicode utf8) \
- $(use_enable xft) \
- $(use_enable jpeg) \
- $(use_enable png)
-}
-
-multilib_src_compile() {
- # The wmluiltok build tool is linked with libfl.a, so always
- # compile it for the native ABI
- emake -C tools/wml CC="${MY_NATIVE_CC}" LIBS="-lfl" wmluiltok
- emake
-}
-
-multilib_src_install() {
- emake DESTDIR="${D}" install
-
- if multilib_is_native_abi && use examples; then
- emake -C demos DESTDIR="${D}" install-data
- dodir /usr/share/doc/${PF}/demos
- mv "${ED}"/usr/share/Xm/* "${ED}"/usr/share/doc/${PF}/demos || die
- fi
-}
-
-multilib_src_install_all() {
- # mwm default configs
- insinto /usr/share/X11/app-defaults
- newins "${FILESDIR}"/Mwm.defaults Mwm
-
- # cleanup
- rm -rf "${ED}"/usr/share/Xm
- prune_libtool_files
-
- dodoc BUGREPORT ChangeLog README RELEASE RELNOTES TODO
-}
diff --git a/x11-libs/motif/motif-2.3.8-r1.ebuild b/x11-libs/motif/motif-2.3.8-r1.ebuild
index dba24f7b..0e8a8d09 100644
--- a/x11-libs/motif/motif-2.3.8-r1.ebuild
+++ b/x11-libs/motif/motif-2.3.8-r1.ebuild
@@ -13,7 +13,7 @@ SRC_URI="mirror://sourceforge/project/motif/Motif%20${PV}%20Source%20Code/${P}.t
LICENSE="LGPL-2.1+ MIT"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh sparc x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 ~mips ppc ppc64 ~sh sparc x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
IUSE="examples jpeg +motif22-compatibility png static-libs unicode xft"
RDEPEND=">=x11-libs/libX11-1.6.2[${MULTILIB_USEDEP}]
@@ -31,6 +31,7 @@ RDEPEND=">=x11-libs/libX11-1.6.2[${MULTILIB_USEDEP}]
DEPEND="${RDEPEND}
sys-devel/flex
|| ( sys-devel/bison dev-util/byacc sys-freebsd/freebsd-ubin )
+ x11-base/xorg-proto
x11-misc/xbitmaps"
src_prepare() {
@@ -108,7 +109,7 @@ multilib_src_install_all() {
# cleanup
rm -rf "${ED}"/usr/share/Xm
- find "${ED}" -type f -name "*.la" -delete || die
+ find "${D}" -type f -name "*.la" -delete || die
dodoc BUGREPORT ChangeLog README RELEASE RELNOTES TODO
}